<?php
/**
 * Help Rich Snippets tab.
 *
 * @package    RankMath
 * @subpackage RankMath\RichSnippet
 */

use RankMath\KB;
?>
<h3><?php esc_html_e( 'Schema (Structured Data)', 'rank-math' ); ?></h3>

<p><?php esc_html_e( 'Google has changed over the years. They\'ve made their results pages more interesting and more useful at the same time. New kinds of content were added.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'You often see all kinds of content in a SERP. Images, videos, tweets, and maps. Business listings and little bits of trivia (like personal bios or historical facts) were added.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'These were the first wave of enhancements. They were "added" content, as they were added to the original results (which were pushed down the page). Google has also added enhancements to the way certain listings are displayed.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Do you remember when you used to see author pictures next to certain listings?', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'These were "authorship" snippets - they were displayed whenever Google recognized the author of an article. Google has dropped support for authorship, but there are other enhancements that it does support today.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'For instance, there are "schemas" for articles, videos, businesses, events, products, and recipes.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'These snippets look different - which makes them stand out. They also tend to rank higher - above the fold (in the top 4 results).', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Both of these benefits make Rich Snippets extremely attractive. But Google can\'t display rich results unless it understands your content type. And it needs your help.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Google needs you to include special meta-data in your markup to describe what your content is. You need to use a special format called Schema.org, and it has to be perfectly valid.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Rank Math can format the Schema.org markup for you - that\'s what the Rich Snippet tab does for you.', 'rank-math' ); ?></p>

<p><a href="<?php KB::the( 'rich-snippets' ); ?>" target="_blank"><?php esc_html_e( 'Click here to read full Schema tutorial', 'rank-math' ); ?></a></p>
