<?php
/**
 * Help SEO Analysis tab.
 *
 * @package Rank_Math
 */

use RankMath\KB;
?>
<h3><?php esc_html_e( 'SEO Analysis', 'rank-math' ); ?></h3>

<p><?php esc_html_e( 'In this section, we\'re going to introduce the SEO analysis tool. As the name suggests, it analyzes your site\'s SEO and points out what you\'re doing right and the issues you need to fix.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Analyzing your SEO is the first step to making it perfect, so you should run this tool as your first step. It\'s a fast process, and it puts you on the right path.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'You may have used SEO tools in the past - many of these tools check your page as you type and tell you if you\'re optimizing it properly. Rank Math does this too - but it does much more.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Checking a page as you type will detect "on-page" ranking factors - factors that influence the rankings for individual pages. But that only covers a single piece of the SEO puzzle. Although on-page factors are extremely important, there are other details that affect your site\'s rankings.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'These include technical and performance issues, like caching, URL structure, and pagination.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'Before you dig into every post and page on your site, you should fix any site-wide issues. But you have to identify them first - and that\'s where the analysis tool comes into play.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'You have better things to do than spend hours poring over settings and working through checklists - that\'s why Rank Math has a built-in SEO Analysis tool. It scans your site in seconds and gives you a detailed breakdown of any issues it locates.', 'rank-math' ); ?></p>

<p><?php esc_html_e( 'The tool also gives you instructions on how to fix each issue it finds - whether it\'s changing a setting or installing a simple plugin, you\'ll know what to do and how to do it.', 'rank-math' ); ?></p>

<p><a href="<?php KB::the( 'seo-analysis' ); ?>" target="_blank"><?php esc_html_e( 'Click here to read full SEO Analysis tutorial', 'rank-math' ); ?></a></p>
